

################################################################################
# Directory
################################################################################

TOP_DIR 	:= $(shell pwd)
SRC_DIR 	:= $(TOP_DIR)/src
BIN_DIR 	:= $(TOP_DIR)/bin

export CROSS_COMPILE TOP_DIR SRC_DIR BIN_DIR

################################################################################
# Rules
################################################################################
include $(TOP_DIR)/Rules



################################################################################
# Source and Target
################################################################################

TARGET = $(BIN_DIR)/VPhone

SUB_TARGET = src test

 LIBS  = src/src.o
 LIBS += test/test.o



################################################################################
# Target rules
################################################################################

.PHONY: all clean $(TARGET) $(SUB_TARGET)

all: $(TARGET)


$(TARGET): $(SUB_TARGET)
	@echo "	LD  $@"
	@$(CXX) $(LDFLAGS) $(LIBS) -o $@

################################################################################
# Sub rules
################################################################################

src:
	@make -C $@

test:
	@make -C $@


clean:
	@echo "	CLEAN"
	@make -C src clean
	@make -C test clean




